Bug Issue: Android Certificates


Pages: 1

RulezTeam

  • Subscriber - Stencyl Studio
  • *
August 24, 2022, 10:19:34 am
Hi,

I'm trying to update my keystore to Google, but I have this error :

Quote
The public key of your upload certificate is invalid. The key may have invalid encoding, have wrong bit length, be uninitialized or have a digest hash algorithm that is considered too weak.

I think that algorithm is considered too weak. What can I do  now ?

I'm on 4.1.0 b11100
« Last Edit: August 24, 2022, 10:19:56 am by RulezTeam »


Justin

  • Master Stencyler
  • *
August 24, 2022, 11:39:15 pm
Stencyl was updated to support the creation of 2048-bit RSA keys a couple years ago. If Android is saying your key is too weak, it's likely a key that was generated with an older version of Stencyl.

You'll need to provide your existing signing certificate to Google Play, and additionally create a new certificate for uploads, although I'm a little bit rusty about the exact process.

https://community.stencyl.com/index.php?issue=1895.0


RulezTeam

  • Subscriber - Stencyl Studio
  • *
August 25, 2022, 03:27:10 am
Hi Justin,

this is my situation: I'm updating an old game (uploaded as apk) as aab, and Google ask me to sign my game; so I've uploaded the certificate using pepk,jar file but Google tell me that my certificate doesn't support the minimum cryptography  that is request by Google itself.
Now there is only one option to update my game, and it's to upload a new keystore that support a strong cryptography and this is that I've done.

I've requested a key upgrade and so I've create a new keystore with the last version of Stencyl (4.1.0b3 11100) and with the command  :

Code: [Select]
java -jar pepk.jar --keystore=OLD.keystore --alias=foo --output=output.zip  --signing-keystore=new.keystore --signing-key-alias=upload-key-alias --encryptionkey=.......
I've created output.zip but when I've uploaded it, I've that error :

Quote
The public key of your upload certificate is invalid. The key may have invalid encoding, have wrong bit length, be uninitialized or have a digest hash algorithm that is considered too weak.

So, my new keystore should be compliant, but not for Google.


Note
Minimum API is 19
Target API is 30
« Last Edit: August 25, 2022, 03:30:30 am by RulezTeam »


New attachment added by RulezTeam - August 25, 2022, 03:27:33 am


New attachment added by RulezTeam - August 25, 2022, 03:27:41 am


Justin

  • Master Stencyler
  • *
August 27, 2022, 09:15:15 am
Any chance you could make some time to try walking through this together on discord?


RulezTeam

  • Subscriber - Stencyl Studio
  • *
August 29, 2022, 01:26:53 pm
yes, I'll contact you tomorrow or day after tomorrow


Pages: 1

Details

  • Reported
    August 24, 2022, 10:19:34 am
  • Updated
    August 31, 2022, 08:34:47 pm

  • View Status
    Public
  • Type
    Bug
  • Status
    New
  • Priority
    Normal
  • Version
    3.5.0 beta 1
  • Fixed in
    (none)
  • Assigned to
    (none)
  • Category
    Engine

Tags


Attachments


* ErrorSign.jpg (20.49 kB, 839x224 - viewed 483 times.)

* ErrorSign2.jpg (95.08 kB, 1655x772 - viewed 489 times.)